# Poco

# class DigestInputStream

Library: Foundation
Package: Crypt
Header: Poco/DigestStream.h

## Description

This istream computes a digest of all the data passing through it, using a DigestEngine.

## Inheritance

Direct Base Classes: DigestIOS, std::istream

All Base Classes: DigestIOS, std::ios, std::istream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### DigestInputStream

DigestInputStream(
DigestEngine & eng,
std::istream & istr
);

## Destructor

### ~DigestInputStream

~DigestInputStream();